/*
 * 01/09/2002 - 20:43:57
 *
 * SheetedMutableTreeNode.java -
 * Copyright (C) 2002 Csaba Kertsz
 * kcsaba@jdictionary.info
 * www.jdictionary.info
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


package info.jdictionary.gui;

import javax.swing.tree.DefaultMutableTreeNode;
import info.jdictionary.pluginstuff.PluginInfoSheet;

public class SheetedMutableTreeNode extends DefaultMutableTreeNode {

    PluginInfoSheet sheet;
    String name;

    public SheetedMutableTreeNode(PluginInfoSheet sheet) {
        super(sheet.getName());
        this.name = sheet.getName();
        this.sheet = sheet;
    }

    public String getName() {
        return name;
    }

    public PluginInfoSheet getInfoSheet() {
        return sheet;
    }

    public String toString() {
        return name;
    }


}


